{ stdenv, lib, fetchFromGitHub }:

stdenv.mkDerivation rec {
  pname = "mpv-shader-pack";
  version = "2.0.0";

  src = fetchFromGitHub {
    owner = "iwalton3";
    repo = "default-shader-pack";
    rev = "v${version}";
    sha256 = "10383h2qq35whj3v1vs34yyqiflxjf1vlv2p4l6jrmljwpjpcj4k";
  };

  buildPhase = ''
    # Packaged by the anime4k package
    rm shaders/Anime4K_*.glsl
  '';
  
  installPhase = ''
    find ./shaders -type f -exec install -Dm 644 {} -t $out/usr/share/shaders/ \;
  '';
  
  meta = with lib; {
    description = "Preconfigured set of MPV shaders and configurations for MPV Shim media clients.";
    homepage = "https://github.com/iwalton3/default-shader-pack";
    license = licenses.gpl3;
    maintainers = [ ];
    platforms = platforms.all;
  };
}
